View Issue Details

IDProjectCategoryView StatusLast Update
0031750FPCPackagespublic2017-07-09 16:58
ReporterWerner BochtlerAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindows 7OS VersionProfessional
Product Version3.0.2Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031750: Disabling of TDaemonDef.LogStatusReport has no effect
DescriptionIt seems that it is not possible to disable writing status information to the Windows event log by means of property TDaemonDef.LogStatusReport.


Steps To ReproduceTry example application: ...\packages\fcl-extra\examples\daemon.pp

The reason might be that in method TDaemonController.ReportStatus (implemented in daemonapp.inc) LogStatusReport is set to "true".

BTW: TDaemonController.ReportStatus seem to return always "false".




TagsNo tags attached.
Fixed in Revision36707
FPCOldBugId
FPCTarget
Attached Files

Activities

Werner Bochtler

2017-05-04 22:16

reporter   ~0100117

One more thing in this context:

Line 419 of daemonapp.pp "{ $define svcdebug}" probably should be removed/commented.

Marco van de Voort

2017-05-05 16:28

manager   ~0100118

(If there is a space before the $ it is a comment)

Werner Bochtler

2017-05-05 18:21

reporter   ~0100120

You are right.
I was so focused on svcdebug that I missed the space.

Michael Van Canneyt

2017-07-09 11:34

administrator   ~0101630

Should be fixed, log was forced to true in windows code.
Please test and close if OK.

Werner Bochtler

2017-07-09 12:48

reporter   ~0101633

The change in trunk (rev. 36705) does not fix the issue:

The following passage in daemonapp.inc

  DD.LogStatusReport:=True;
{$ifndef svcdebug}
  If DD.LogStatusReport then
{$endif svcdebug}
    With FDaemon do

was changed to

  DD.LogStatusReport:=True;
  If DD.LogStatusReport then
    With FDaemon do

-----

In my opinion there are two options:

1. remove line "DD.LogStatusReport:=True;" or

2. Change the code as follows:

{$ifdef svcdebug}
  DD.LogStatusReport:=True;
{$endif svcdebug}
  If DD.LogStatusReport then
    With FDaemon do

What do you think?

Michael Van Canneyt

2017-07-09 15:52

administrator   ~0101636

Sorry, seems I committed before complete save in IDE :/
Please try again...

Werner Bochtler

2017-07-09 16:58

reporter   ~0101641

Many thanks for fixing!

Issue History

Date Modified Username Field Change
2017-05-03 22:29 Werner Bochtler New Issue
2017-05-04 22:16 Werner Bochtler Note Added: 0100117
2017-05-05 16:28 Marco van de Voort Note Added: 0100118
2017-05-05 18:21 Werner Bochtler Note Added: 0100120
2017-07-09 11:18 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-07-09 11:18 Michael Van Canneyt Status new => assigned
2017-07-09 11:34 Michael Van Canneyt Fixed in Revision => 36705
2017-07-09 11:34 Michael Van Canneyt Note Added: 0101630
2017-07-09 11:34 Michael Van Canneyt Status assigned => resolved
2017-07-09 11:34 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-09 11:34 Michael Van Canneyt Resolution open => fixed
2017-07-09 11:34 Michael Van Canneyt Target Version => 3.2.0
2017-07-09 12:48 Werner Bochtler Note Added: 0101633
2017-07-09 12:48 Werner Bochtler Status resolved => feedback
2017-07-09 12:48 Werner Bochtler Resolution fixed => reopened
2017-07-09 15:52 Michael Van Canneyt Fixed in Revision 36705 => 36707
2017-07-09 15:52 Michael Van Canneyt Note Added: 0101636
2017-07-09 15:52 Michael Van Canneyt Status feedback => resolved
2017-07-09 15:52 Michael Van Canneyt Resolution reopened => fixed
2017-07-09 16:58 Werner Bochtler Note Added: 0101641
2017-07-09 16:58 Werner Bochtler Status resolved => closed